#include <def2191.h>

//----------------------------------------------------------------------------------------------
//			   EXTERNAL DECLARATIONS																
//----------------------------------------------------------------------------------------------
.EXTERN Start;

//----------------------------------------------------------------------------------------------
//			   DM DATA																
//----------------------------------------------------------------------------------------------
.SECTION /dm dmdata;
.VAR 		counter = 0;
.VAR		save_io_page;

//----------------------------------------------------------------------------------------------
// 				PM Reset interrupt vector code 													
//----------------------------------------------------------------------------------------------
.section/pm IVreset; 
  	jump Start;
  	nop; nop; nop;

//----------------------------------------------------------------------------------------------
// 				SPI0 ISR																		
//----------------------------------------------------------------------------------------------
.section/pm IVint5;  
	ENA SR;	
  	AR = IOPG;
	dm(save_io_page) = AR;
	
	IOPG = SPI0_Controller_Page;

  	AR = dm(counter);			/* Interrupt counter */
  	AR = AR + 1;
  	DM(counter) = AR;

	AR = IO(RDBR0);				/* Read from SPI0 Receive Buffer Register */
   	DM(I0 += M1) = AR;



	AR = dm(save_io_page);
	IOPG = AR;
	DIS SR;
  	
	RTI;


